The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Linux kernel: information disclosure via Btrfs Compressed Extent

Synthesis of the vulnerability 

A local attacker can use a vulnerability in the implementation of Btrfs Compressed Extent of the Linux kernel, in order to obtain sensitive information.
Impacted systems: Debian, BIG-IP Hardware, TMOS, Fedora, Linux, RHEL, Ubuntu.
Severity of this alert: 1/4.
Creation date: 27/11/2015.
Références of this alert: CERTFR-2015-AVI-554, CERTFR-2016-AVI-044, CVE-2015-8374, DSA-3426-1, DSA-3426-2, FEDORA-2015-ac9a19888e, FEDORA-2015-c4ed00a68f, RHSA-2016:2574-02, RHSA-2016:2584-02, SOL60742457, USN-2886-1, USN-2886-2, USN-2887-1, USN-2887-2, USN-2888-1, USN-2889-1, USN-2889-2, USN-2890-1, USN-2890-2, USN-2890-3, VIGILANCE-VUL-18389.

Description of the vulnerability 

The Linux kernel implements the Btrfs filesystem, which supports compressed extents.

When a file is truncated, the truncate_inline_extent() function of the fs/btrfs/inode.c file is called. However, if the extend is compressed, the associated memory area is not initialized, and it is reachable whereas the file should be truncated.

A local attacker can therefore use a vulnerability in the implementation of Btrfs Compressed Extent of the Linux kernel, in order to obtain sensitive information.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This weakness announce impacts software or systems such as Debian, BIG-IP Hardware, TMOS, Fedora, Linux, RHEL, Ubuntu.

Our Vigil@nce team determined that the severity of this vulnerability alert is low.

The trust level is of type confirmed by the editor, with an origin of user shell.

A proof of concept or an attack tool is available, so your teams have to process this alert. An attacker with a specialist ability can exploit this computer threat announce.

Solutions for this threat 

Linux kernel: version 3.2.74.
The version 3.2.74 is fixed:
  https://cdn.kernel.org/pub/linux/kernel/v3.x/

Linux kernel: patch for Btrfs Compressed Extent.
A patch is indicated in information sources.

Debian: new linux packages (18/12/2015).
New packages are available:
  Debian 7: linux 3.2.73-2+deb7u1, ctdb 1.12+git20120201-5
  Debian 8: linux 3.16.7-ckt20-1+deb8u1, ctdb 2.5.4+debian0-4+deb8u1

F5 BIG-IP: solution for Linux btrfs.
The solution is indicated in information sources.

Fedora: new kernel packages.
New packages are available:
  Fedora 22: kernel 4.2.7-200.fc22
  Fedora 23: kernel 4.2.7-300.fc23

RHEL 7: new kernel packages.
New packages are available:
  RHEL 7: kernel 3.10.0-514.el7

RHEL 7: new kernel-rt packages.
New packages are available:
  RHEL 7: kernel-rt 3.10.0-514.rt56.420.el7

Ubuntu: new linux-image-3.16.0-60-generic packages.
New packages are available:
  Ubuntu 14.04 LTS: linux-image-3.16.0-60-generic 3.16.0-60.80~14.04.1

Ubuntu: new linux-image-3.19.0-49-generic packages.
New packages are available:
  Ubuntu 15.04: linux-image-3.19.0-49-generic 3.19.0-49.55
  Ubuntu 14.04 LTS: linux-image-3.19.0-49-generic 3.19.0-49.55~14.04.1

Ubuntu: new linux-image-3.2.0-1476-omap4 packages.
New packages are available:
  Ubuntu 12.04 LTS: linux-image-3.2.0-1476-omap4 3.2.0-1476.99

Ubuntu: new linux-image-3.2.0-98-generic packages.
New packages are available:
  Ubuntu 12.04 LTS: linux-image-3.2.0-98-generic 3.2.0-98.138

Ubuntu: new linux-image-4.2.0-1022-raspi2 packages.
New packages are available:
  Ubuntu 15.10: linux-image-4.2.0-1022-raspi2 4.2.0-1022.29

Ubuntu: new linux-image-4.2.0-27-generic packages.
New packages are available:
  Ubuntu 15.10: linux-image-4.2.0-27-generic 4.2.0-27.32
  Ubuntu 14.04 LTS: linux-image-4.2.0-27-generic 4.2.0-27.32~14.04.1

Ubuntu: new linux-image packages.
New packages are available:
  Ubuntu 14.04 LTS: linux-image-3.13.0-77-generic 3.13.0-77.121
  Ubuntu 12.04 LTS: linux-image-3.13.0-77-generic 3.13.0-77.121~precise1
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides an application vulnerability workaround. The Vigil@nce computer vulnerability tracking service alerts your teams of vulnerabilities or threats impacting your information system.